#!/bin/bash

git clone -b stable/3.13 https://github.com/coin-or/Ipopt.git
git clone https://github.com/coin-or-tools/ThirdParty-Metis.git
git clone https://github.com/coin-or-tools/ThirdParty-Mumps.git

cd ..
PREFIX=$(pwd)/$(uname)
LIB=$PREFIX/lib
rm -rf LIB/*
cd build

cd ThirdParty-Metis
./get.Metis
./configure --prefix=$PREFIX --enable-static=yes --enable-shared=no
make -j 
make install

cd ../ThirdParty-Mumps
./get.Mumps
LDFLAGS=-L$LIB ./configure --prefix=$PREFIX --enable-static=yes --enable-shared=no --with-metis --with-metis-cflags=-I$PREFIX/include/coin-or/metis/ --with-metis-lflags=-lcoinmetis 
make -j
make install

cd ../Ipopt
LDFLAGS=-L$LIB ./configure --prefix=$PREFIX --enable-static=yes --enable-shared=no --without-asl --without-hsl --with-mumps --with-mumps-cflags=-I$PREFIX/include/coin-or/mumps/ --with-mumps-lflags=-lcoinmumps
make -j
make install
